﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class StickmanController : MonoBehaviour {

	// SimapleAnimationコンポーネント
	SimpleAnimation	m_simpleAnimation;

	// Use this for initialization
	void Start () {
		m_simpleAnimation = GetComponent<SimpleAnimation> ();
	}

	// Update is called once per frame
	void Update () {

		// １キーが押されたらデフォルト 歩き
		if (Input.GetKeyDown(KeyCode.Alpha1))
		{
			m_simpleAnimation.CrossFade("Default", 0.5f);
		}

		// ２キーが押されたら走る
		if (Input.GetKeyDown(KeyCode.Alpha2))
		{
			m_simpleAnimation.CrossFade("Run", 0.5f);
		}

		// 3キーが押されたらクラッシュ
		if (Input.GetKeyDown(KeyCode.Alpha3))
		{
			m_simpleAnimation.CrossFade("Crash", 0.5f);
		}

	}
}
